<?php
require('../../../QPlatform/Common/Component/ComInitialHead.php');

class PaDefault extends CustomPage {
	public $sLogoutURL='';
	
	public function PaDefault(){
		$this->CustomPage();
	}
	public function OnLoadModel(){
		$this->sMetaTitle='用户登出 - 网集平台';
		$this->getUser('1,2,3,4,5,');
		$this->sLogoutURL=$this->sysFileConfig['sysUiCoreRoot'].$this->sysFileConfig['QPlatformLoginAddress'];
		$this->sAppCore=new netsuserinfo($this->sConnStringCore);
		$this->OnLogout();
	}
	public function OnLogout(){
		//-- ------ #Logout ------ --
		//daily setting
		$this->sAppCore->sDbDescriptions_Other=array(
			array($this->sysDbDescriptions[$this->sysTableHead.'netsuserdaily'],
				$this->sysDbDescriptions[$this->sysTableHead.'netsuserdailycont'],),
			);
		$tmpSTR=$this->sysFileConfig['UserLogTemplate'];
		$tmpSTR=str_replace('{Nets.ID}',$this->sUserInfo[0]['Columns']['uitID']['Value'],$tmpSTR);
		$tmpSTR=str_replace('{Nets.Name}',$this->sUserInfo[0]['Columns']['uitName']['Value'],$tmpSTR);
		$tmpSTR=str_replace('{Nets.Time}',date($this->sysTimeFormat),$tmpSTR);
		$tmpSTR=str_replace('{Nets.ActionType}','登出',$tmpSTR);
		$tmpSTR=str_replace('{Nets.Platform}','核心平台',$tmpSTR);
		$tmpSTR=str_replace('{Nets.Unit}',$this->sUserInfo[2]['Columns']['uutName']['Value'],$tmpSTR);
		$tmpSTR=str_replace('{Nets.Type}',$this->sUserInfo[4]['Columns']['uttName']['Value'],$tmpSTR);
		$tmpSTR=str_replace('{Nets.Group}',$this->sUserInfo[8]['Columns']['ugtName']['Value'],$tmpSTR);
		$tmpAR0=explode($this->sysSPLIT4,$tmpSTR);
		$this->sAppCore->sDbDescriptions_Other[0][0]['Columns']['udtName']['Value']=$tmpAR0[0];
		$this->sAppCore->sDbDescriptions_Other[0][0]['Columns']['udtType']['Value']=1;
		$this->sAppCore->sDbDescriptions_Other[0][1]['Columns']['udctIpAddress']['Value']=$this->getIP();
		$this->sAppCore->sDbDescriptions_Other[0][1]['Columns']['udctIntroduct']['Value']=$tmpSTR;
		
		$this->sAppCore->Logout($this->sUserInfo);
		return 0;
	}
}
//------ #Instanct ------
$tmpDefault=new PaDefault();
$tmpDefault->OnPage();
$tmpDefault->sysMetaTitle=$tmpDefault->sMetaTitle;
require($tmpDefault->sysFileConfig['sysCoreRoot'].$tmpDefault->sysQPlatformTemplatePath.'Component/Head_1.php');
require($tmpDefault->sysFileConfig['sysCoreRoot'].$tmpDefault->sysQPlatformTemplatePath.'Template/Message_Normal.php'); ?>
